import { Component, OnInit, ViewChild } from '@angular/core';
import { IgDialogComponent } from "igniteui-angular-wrappers";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  private options: any;
  @ViewChild('dialog1', { read: IgDialogComponent })
  myDialog: IgDialogComponent;

  constructor() {}

  ngOnInit() {
    this.options = {
      headerText: "Foo",
      height: "325px",
      state: "closed"
    };
  }

  openDialog(event) {
    this.myDialog.open();
  }

  yesBtnClick(event) {
    this.myDialog.close();
    console.log("Yes is clicked");
  }

  noBtnClick(event) {
    this.myDialog.close();
    console.log("No is clicked");
  }

}
